Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027727
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2014-10-01 18:192015-02-09 21:48
ReporteregoitzView Statuspublic 
Assigned Toaferraz 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q2
StatusclosedFix in branchFixed in SCM revisiond4a650e1890c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027727: Performance problems on the "Wrong sales invoice. Wrong amount in payment plan detail" ALERT

DescriptionPerformance problems on the "Wrong sales invoice. Wrong amount in payment plan detail" ALERT.
On environment with big amount of that on the tables involved on the alertrule it takes long to be executed.

Data volume:
'fin_payment_schedule';890239
'fin_payment_scheduledetail';456669
'c_invoice';434864
'ad_org';22
Steps To ReproduceOn an environment with big amount of data execute the query of the alert
Proposed Solutionhttps://issues.openbravo.com/view.php?id=26203 [^]
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on feature request 0026203 newAugustoMauch Add the possibility to specify the alerts to be executed on each background scheduling 
related to defect 0027809 closedreinaldoguerra The Wrong sales invoice. Wrong amount in payment plan detail ALERT can not be properly deactivated. 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0070623)
egoitz (developer)
2014-10-01 18:24

The alert is being created by the following modulescript:
https://code.openbravo.com/erp/devel/pi/file/d4ef13fecc97/modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices.java [^]
(0070648)
egoitz (developer)
2014-10-02 10:31

Othe possibility could be to call the java of the modulescript from a background process and have the alert defined as E.
(0074249)
aferraz (developer)
2015-02-06 12:19
edited on: 2015-02-06 13:03

Tes plan:

- Realize AlertsForWrongInvoices modulescript only runs the first time you make "ant update.database"

(0074283)
hgbot (developer)
2015-02-09 12:44

Repository: erp/devel/pi
Changeset: d4a650e1890c13c11aa8dec64b667a8f3d8045d1
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Fri Feb 06 12:55:58 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d4a650e1890c13c11aa8dec64b667a8f3d8045d1 [^]

Fixes issue 27727: Performance problems on AlertsForWrongInvoices modulescript

A preference has been added to AlertsForWrongInvoices modulescript in order to execute it only one time.

---
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices.class
M modules/org.openbravo.advpaymentmngt/build/classes/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.class
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices.java
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoices_data.xsql
M modules/org.openbravo.advpaymentmngt/src-util/modulescript/src/src/org/openbravo/advpaymentmngt/modulescript/AlertsForWrongInvoicesData.java
---
(0074284)
Sandrahuguet (developer)
2015-02-09 12:45

Code review + testing OK
(0074306)
hudsonbot (developer)
2015-02-09 21:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d68c131a3f59 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-10-01 18:19 egoitz New Issue
2014-10-01 18:19 egoitz Assigned To => dmiguelez
2014-10-01 18:19 egoitz Modules => Core
2014-10-01 18:19 egoitz Triggers an Emergency Pack => No
2014-10-01 18:24 egoitz Note Added: 0070623
2014-10-01 18:49 egoitz Proposed Solution updated
2014-10-01 19:00 egoitz Proposed Solution updated
2014-10-01 19:00 egoitz Relationship added depends on 0026203
2014-10-02 10:31 egoitz Note Added: 0070648
2014-10-09 10:56 egoitz Relationship added related to 0027809
2014-10-16 10:34 jonalegriaesarte Tag Attached: Performance
2014-10-31 13:09 dmitry_mezentsev Assigned To dmiguelez => Sandrahuguet
2014-11-11 15:55 Sandrahuguet Assigned To Sandrahuguet => reinaldoguerra
2015-02-03 18:19 Sandrahuguet Assigned To reinaldoguerra => aferraz
2015-02-06 12:19 aferraz Note Added: 0074249
2015-02-06 13:03 aferraz Note Edited: 0074249 View Revisions
2015-02-09 12:44 hgbot Checkin
2015-02-09 12:44 hgbot Note Added: 0074283
2015-02-09 12:44 hgbot Status new => resolved
2015-02-09 12:44 hgbot Resolution open => fixed
2015-02-09 12:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d4a650e1890c13c11aa8dec64b667a8f3d8045d1 [^]
2015-02-09 12:45 Sandrahuguet Review Assigned To => Sandrahuguet
2015-02-09 12:45 Sandrahuguet Note Added: 0074284
2015-02-09 12:45 Sandrahuguet Status resolved => closed
2015-02-09 12:45 Sandrahuguet Fixed in Version => 3.0PR15Q2
2015-02-09 21:48 hudsonbot Checkin
2015-02-09 21:48 hudsonbot Note Added: 0074306


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker